Subject: Re: [PATCH] Revert "mt76: mt7921: enable aspm by default"

From: Kalle Valo <[email-masked]>
Date: Tue, 12 Apr 2022 15:45:24 +0300

Philippe Schenker <[email-masked]> writes:

> On Tue, 2022-04-12 at 19:06 +0800, Deren Wu wrote:
>> On Tue, 2022-04-12 at 12:37 +0300, Kalle Valo wrote:
>> > Philippe Schenker <[email-masked]> writes:
>> > 
>> > > This reverts commit bf3747ae2e25dda6a9e6c464a717c66118c588c8.
>> > > 
>> > > This commit introduces a regression on some systems where the
>> > > kernel is
>> > > crashing in different locations after a reboot was issued.
>> > > 
>> > > This issue was bisected on a Thinkpad P14s Gen2 (AMD) with latest
>> > > firmware.
>> > > 
>> > > Link: 
>> > > https://urldefense.com/v3/__https://lore.kernel.org/linux-wireless/[email-masked]/__;!!CTRNKA9wMg0ARbw!09tjyaQlMci3fVI3yiNiDJKUW_qwNA_CbVhoAraeIX96B99Q14J4iDycWA9cq36Y$
>> > >  
>> > > Signed-off-by: Philippe Schenker <[email-masked]>
>> > 
>> > Can I take this to wireless tree? Felix, ack?
>> > 
>> > I'll also add:
>> > 
>> > Fixes: bf3747ae2e25 ("mt76: mt7921: enable aspm by default")
>> > 
>> 
>> Hi Kalle,
>> 
>> We have a patch for a similar problem. Can you wait for the
>> verification by Philippe?
>> Commit 602cc0c9618a81 ("mt76: mt7921e: fix possible probe failure
>> after
>> reboot")
>> Link: 
>> https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/net/wireless/mediatek/mt76?id=602cc0c9618a819ab00ea3c9400742a0ca318380
>> 
>> I can reproduce the problem in my v5.16-rc5 desktop. And the issue can
>> be fixed when the patch applied.
>> 
>> 
>> Hi Philippe,
>> 
>> Can you please help to check the patch in your platform?
>
> Aah, so I have been a bit late with my painful bisecting. Should have
> checked -next before... 

Actually commit 602cc0c9618a is already in Linus' tree and it was
included in v5.18-rc1 release.

> Whatever, your patch works just fine. I cherry picked your patch on
> top mainline v5.17 and it works just fine with that one.
>
> Thank you very much Deren!

And thank you Philippe for quickly testing this!

> Sorry Kalle for the overlapping revert, please do not apply it.

Ok, I'll drop your revert.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches